<?php

$main_post_cnt = get_option( 'main_post_cnt' );
if ( $main_post_cnt ) {
	$featured_posts = get_posts( array(
		'meta_key'       => 'is_featured',
		'posts_per_page' => $main_post_cnt < 4 ? $main_post_cnt : 4,
	) );

	if ( count( $featured_posts ) > 1 ) {
		$main_fetured_post = array_shift( $featured_posts );
	}
}
?>

<?php if ( ! empty( $featured_posts ) ): ?>
	<div class="container pt-4 pb-4">

		<h5 class="font-weight-bold spanborder"><span><?php _e( 'Featured posts', 'mundana' ); ?></span></h5>

		<div class="row">

			<?php if ( ! isset( $main_fetured_post ) ): // всего 1 пост в избранном ?>
				<div class="col-lg-12">
					<?php $post = $featured_posts[0]; setup_postdata($post); ?>
					<div class="card border-0 mb-4 box-shadow h-xl-300">
						<div style="background-image: url(<?php echo the_post_thumbnail_url('full') ?>); height: 150px; background-size: cover; background-repeat: no-repeat;"></div>
						<div class="card-body px-0 pb-0 d-flex flex-column align-items-start">
							<h2 class="h4 font-weight-bold">
								<a class="text-dark" href="<?php the_permalink(); ?>"><?php the_title() ?></a>
							</h2>

							<?php the_content(''); ?>

							<div>
								<small class="d-block card-text text-muted small"><?php the_author() ?></small>
								<?php echo mundana_post_meta( $post->ID ) ?>
							</div>
						</div>
					</div>
					<?php wp_reset_postdata(); ?>
				</div>
			<?php else: // более 1 поста в избранном ?>
				<div class="col-lg-6">
					<?php $post = $main_fetured_post; setup_postdata($post); ?>
					<div class="card border-0 mb-4 box-shadow h-xl-300">
						<div style="background-image: url(<?php echo the_post_thumbnail_url('full') ?>); height: 150px; background-size: cover; background-repeat: no-repeat;"></div>
						<div class="card-body px-0 pb-0 d-flex flex-column align-items-start">
							<h2 class="h4 font-weight-bold">
								<a class="text-dark" href="<?php the_permalink(); ?>"><?php the_title() ?></a>
							</h2>

							<?php the_content(''); ?>

							<div>
								<small class="d-block card-text text-muted small"><?php the_author() ?></small>
								<?php echo mundana_post_meta( $post->ID ) ?>
							</div>
						</div>
					</div>
					<?php wp_reset_postdata(); ?>
				</div>

				<div class="col-lg-6">
					<div class="flex-md-row mb-4 box-shadow h-xl-300">
						<?php foreach ($featured_posts as $post): setup_postdata($post); ?>
							<div class="mb-3 d-flex align-items-center">
								<img height="80" src="<?php echo the_post_thumbnail_url('full') ?>">
								<div class="pl-3">
									<h2 class="mb-2 h6 font-weight-bold">
										<a class="text-dark" href="<?php the_permalink(); ?>"><?php the_title() ?></a>
									</h2>
									<div class="card-text text-muted small">
										<?php the_author() ?>
									</div>
									<?php echo mundana_post_meta( $post->ID ) ?>
								</div>
							</div>
						<?php endforeach;
						wp_reset_postdata(); ?>
					</div>
				</div>
			<?php endif; ?>

		</div>
	</div>
<?php endif; ?>
